oracle.pgx.config

## Enum PgNosqlGraphConfig.Field

- java.lang.Object
- - java.lang.Enum<PgNosqlGraphConfig.Field>
  - - oracle.pgx.config.PgNosqlGraphConfig.Field

- All Implemented Interfaces:
    Serializable, Comparable<PgNosqlGraphConfig.Field>, ConfigField
  Enclosing class:
    PgNosqlGraphConfig

      public static enum PgNosqlGraphConfig.Field
      extends Enum<PgNosqlGraphConfig.Field>
      implements ConfigField

  Fields of PGX Engine PG NoSQL Graph Config

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATE_FORMAT` the date format to use when loading and storing date properties.
    `DB_ENGINE` underlying database engine
    `EDGE_PROPS` specification of edge properties associated with graph
    `ERROR_HANDLING` error handling configuration
    `FORMAT` graph format (Note: `bin` is deprecated, use `pgb` instead)
    `HOSTS` list of NoSQL hosts
    `LOAD_EDGE_LABEL` whether or not to load the edge label (string) into memory as well.
    `LOADING` loading-specific configuration
    `MAX_NUM_CONNECTIONS` maximum number of database connections to use when reading the graph
    `NAME` prefix of the table name (for edge and vertex tables)
    `PASSWORD` password of a NoSQL user
    `REQUEST_TIMEOUT_MS` NoSQL request timeout in milliseconds
    `STORE_NAME` NoSQL store name
    `TRUST_STORE_FILE` the name and path to a Java truststore file
    `USERNAME` name of a NoSQL user
    `VERTEX_PROPS` specification of vertex properties associated with graph

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDefaultVal()` Gets the default value of this field.
    `List<String>` | `getKeyAliases()` Gets the key aliases of this field which are also recognized during parsing.
    `Class<?>` | `getType()` Gets the type of this field.
    `boolean` | `isArray()` Checks if this field is an array.
    `boolean` | `isEnum()` Checks if this field is of enum type.
    `boolean` | `isPath()` Checks if this field is a path.
    `boolean` | `isPrimitive()` Checks if this field is of primitive type.
    `boolean` | `isRequired()` Checks if this field is required.
    `String` | `toKey()` Get the key of this field, which is how this field is represented in serialized form.
    `String` | `toString()`
    `static PgNosqlGraphConfig.Field` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PgNosqlGraphConfig.Field[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATE_FORMAT

          public static final PgNosqlGraphConfig.Field DATE_FORMAT

      the date format to use when loading and storing date properties. Please see SimpleDateFormat for a documentation of the format string

    - #### DB_ENGINE

          public static final PgNosqlGraphConfig.Field DB_ENGINE

      underlying database engine

    - #### EDGE_PROPS

          public static final PgNosqlGraphConfig.Field EDGE_PROPS

      specification of edge properties associated with graph

    - #### ERROR_HANDLING

          public static final PgNosqlGraphConfig.Field ERROR_HANDLING

      error handling configuration

    - #### FORMAT

          public static final PgNosqlGraphConfig.Field FORMAT

      graph format (Note: `bin` is deprecated, use `pgb` instead)

    - #### HOSTS

          public static final PgNosqlGraphConfig.Field HOSTS

      list of NoSQL hosts

    - #### LOAD_EDGE_LABEL

          public static final PgNosqlGraphConfig.Field LOAD_EDGE_LABEL

      whether or not to load the edge label (string) into memory as well. If `true`, the first edge property of this config must be of type string. After loading is done, that property will hold the label strings.

    - #### LOADING

          public static final PgNosqlGraphConfig.Field LOADING

      loading-specific configuration

    - #### MAX_NUM_CONNECTIONS

          public static final PgNosqlGraphConfig.Field MAX_NUM_CONNECTIONS

      maximum number of database connections to use when reading the graph

    - #### NAME

          public static final PgNosqlGraphConfig.Field NAME

      prefix of the table name (for edge and vertex tables)

    - #### PASSWORD

          public static final PgNosqlGraphConfig.Field PASSWORD

      password of a NoSQL user

    - #### REQUEST_TIMEOUT_MS

          public static final PgNosqlGraphConfig.Field REQUEST_TIMEOUT_MS

      NoSQL request timeout in milliseconds

    - #### STORE_NAME

          public static final PgNosqlGraphConfig.Field STORE_NAME

      NoSQL store name

    - #### TRUST_STORE_FILE

          public static final PgNosqlGraphConfig.Field TRUST_STORE_FILE

      the name and path to a Java truststore file

    - #### USERNAME

          public static final PgNosqlGraphConfig.Field USERNAME

      name of a NoSQL user

    - #### VERTEX_PROPS

          public static final PgNosqlGraphConfig.Field VERTEX_PROPS

      specification of vertex properties associated with graph

  - ### Method Detail

    - #### getDefaultVal

          public Object getDefaultVal()

      Description copied from interface: `ConfigField`
      Gets the default value of this field.
      Specified by:
        `getDefaultVal` in interface `ConfigField`
      Returns:
        the default value

    - #### getKeyAliases

          public List<String> getKeyAliases()

      Description copied from interface: `ConfigField`
      Gets the key aliases of this field which are also recognized during parsing.
      Specified by:
        `getKeyAliases` in interface `ConfigField`
      Returns:
        the key aliases

    - #### getType

          public Class<?> getType()

      Description copied from interface: `ConfigField`
      Gets the type of this field.
      Specified by:
        `getType` in interface `ConfigField`
      Returns:
        the type

    - #### isArray

          public boolean isArray()

      Description copied from interface: `ConfigField`
      Checks if this field is an array.
      Specified by:
        `isArray` in interface `ConfigField`
      Returns:
        true, if array

    - #### isEnum

          public boolean isEnum()

      Description copied from interface: `ConfigField`
      Checks if this field is of enum type.
      Specified by:
        `isEnum` in interface `ConfigField`
      Returns:
        true, if enum

    - #### isPath

          public boolean isPath()

      Description copied from interface: `ConfigField`
      Checks if this field is a path.
      Specified by:
        `isPath` in interface `ConfigField`
      Returns:
        true, if path

    - #### isPrimitive

          public boolean isPrimitive()

      Description copied from interface: `ConfigField`
      Checks if this field is of primitive type.
      Specified by:
        `isPrimitive` in interface `ConfigField`
      Returns:
        true, if primitive

    - #### isRequired

          public boolean isRequired()

      Description copied from interface: `ConfigField`
      Checks if this field is required.
      Specified by:
        `isRequired` in interface `ConfigField`
      Returns:
        true, if required

    - #### toKey

          public String toKey()

      Description copied from interface: `ConfigField`
      Get the key of this field, which is how this field is represented in serialized form.
      Specified by:
        `toKey` in interface `ConfigField`
      Returns:
        the key.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<PgNosqlGraphConfig.Field>`

    - #### valueOf

          public static PgNosqlGraphConfig.Field valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static PgNosqlGraphConfig.Field[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PgNosqlGraphConfig.Field c : PgNosqlGraphConfig.Field.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2015. All rights reserved.